package com.jiuqi.mde;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public final class MDETableSet {
   private Map tables = new HashMap(83);

   public int size() {
      return this.tables.size();
   }

   public void clear() {
      this.tables.clear();
   }

   public MDETable get(String name) {
      return (MDETable)this.tables.get(name);
   }

   public void put(MDETable table) {
      Map newMap = new HashMap(this.tables);
      newMap.put(table.getName(), table);
      this.tables = newMap;
   }

   public void putAll(MDETableSet tables) {
      Map newMap = new HashMap(this.tables);
      Iterator i = tables.iterator();

      while(i.hasNext()) {
         MDETable table = (MDETable)i.next();
         newMap.put(table.getName(), table);
      }

      this.tables = newMap;
   }

   public void remove(MDETable table) {
      Map newMap = new HashMap(this.tables);
      newMap.remove(table);
      this.tables = newMap;
   }

   public Iterator iterator() {
      return this.tables.values().iterator();
   }

   public Object clone() {
      MDETableSet result = new MDETableSet();
      result.putAll(this);
      return result;
   }
}
